/****************************************************************************************************

		BasicVolumetricCloudsShape.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Jerome
		Date:	02/23/2004

****************************************************************************************************/

#ifndef __BasicVolumetricCloudsShape__
#define __BasicVolumetricCloudsShape__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "BasicCOMImplementations.h"
#include "MCBasicTypes.h"
#include "MCBasicDefines.h"

#include "I3dExVolumetricCloudsShape.h"

// The shape defined by this Basic implementation is a box full of cloud

class TBasicVolumetricCloudsShape : public I3DExVolumetricCloudsShape, public TBasicDataExchanger 
{
	public:

		// TBasicDataExchanger
		virtual MCCOMErr	MCCOMAPI QueryInterface		(const MCIID& riid, void** ppvObj);
		virtual uint32 		MCCOMAPI AddRef				()	{ return TBasicDataExchanger::AddRef(); }

		// I3DExVolumetricCloudsShape
		virtual real		MCCOMAPI	GetValue		( const TVector3& point )	{ return 1.0f; };
		virtual void		MCCOMAPI	SetScale		( const TVector3& scale )	{};
		virtual void		MCCOMAPI	SetPrecision	( const real precision )	{};
		virtual boolean		MCCOMAPI	IsShapeChanged	()							{ return false; };
};



#endif
